## twofish 0.3

=== debian/changelog ===
twofish (0.3-4) unstable; urgency=low

  * Standards-Version: 3.9.5, no immediate changes.
  * Compatibility level 8: Update debian/compat.
  * debian/control:
    + Build-Depends on debhelper (>= 8).
    + Update Vcs-* fields.
    + Specify section "libs" for binary package libtwofish0.
  * debian/copyright: Update to present format specification.
  * debian/rules: Implement hardened builds.
  * Manual: Eliminate automatic Author section.
  * Support direct use of header file with C++.
    + debian/patches/02-support_cpp.diff: New file.
  * Compiler warnings in example code.
    + debian/local/{libtwofish.xml,libtwofish.3,catwo.c}: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 May 2014 17:37:39 +0200

twofish (0.3-3) unstable; urgency=low

  * Standards-Version: 3.9.1.
    + debian/rules: Delete the use of "-D_REENTRANT". 
  * debian/control:
    + Add Vcs-* pointers to "deb-maint" at Alioth.
  * lintian-overrides: No upstream changelog is present.
    + Affects libtwofish-dev and libtwofish0.
  * debian/local/catwo.c: New example application.
    + debian/libtwofish-dev.examples: Mention that file.
  * Extended documentation:
    + A new example and many typographic corrections.
    + debian/local/libtwofish.xml: New example "catwo.c".
    + debian/local/libtwofish.xsl: New file.
    + debian/local/libtwofish.3: Regenerated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 21 Oct 2010 20:04:13 +0200

twofish (0.3-2) unstable; urgency=low

  * New maintainer. (Closes: #522262)
  * Standards-Version: 3.9.0, compatibility 7.
    + Section 'libdevel'.
    + Use 'dh_prep'.
  * debian/patches/01-conditionals.diff: New file.
  * Build a shared library package: libtwofish0.
  * Add a simple manpage and Docbook source.
    + debian/local/libtwofish.3: New file

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Jul 2010 15:03:53 +0200

twofish (0.3-1) unstable; urgency=low

  * new upstream version
    + Improved ISO/ANSI standard adherence.
    + Renamed a macro to avoid a naming conflict with a rogue gcc header file.
  * debian/control: add dependency on libc6-dev | libc-dev
  * debian/copyright: updated
  * debian/patches: deleted
  * debian/rules:
    - stop compiling with -D__USE_STRING_INLINES and -D__OPTIMIZE__
    - support DEB_BUILD_OPTIONS=noopts

 -- Branden Robinson <branden@debian.org>  Fri, 27 Sep 2002 23:24:30 -0500

twofish (0.2-1) unstable; urgency=low

  * initial release (Closes: #161079)
  * Thanks to Andew Suffield for eliminating this package's dependency on the
    C library (the three required C library functions are included in the
    static object).

 -- Branden Robinson <branden@debian.org>  Sun, 22 Sep 2002 14:28:38 -0500

twofish (0.0-0) unstable; urgency=low

  * Fake entry to hide a lintian error.
    vim:set ai tw=78 et sw=2 sts=2:

 -- Branden Robinson <branden@debian.org>  Sun, 22 Sep 2002 14:28:38 -0500
