=== debian/control ===
Source: twofish
Section: libdevel
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/twofish/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/twofish/trunk/

Package: libtwofish-dev
Architecture: any
Depends: libc6-dev, libtwofish0 (= ${binary:Version}), ${misc:Depends}
Description: Niels Ferguson's Twofish cryptographic algorithm library
 This package contains a header file and static library implementing the
 Twofish cryptographic algorithm, one of the five finalists in the AES
 (Advanced Encryption Standard) competition sponsored by the United States's
 National Institute of Standards and Technology (NIST).
 .
 The main properties of this library are:
  * Free: The library can be freely used for any application.  (For details see
    the licensing terms and disclaimer in the source code file itself.)
  * Fast: The code has been optimised for speed, at the expense of memory use
    and code size.
  * Easy to use: Care has been taken to make the code easy to integrate into a
    larger project.  Extensive comments explain how to perform the integration
    and how to use the library.
  * Portable: The default code is written in fully portable C.  By adjusting
    certain macro definitions the user can provide platform-specific code for
    certain functions, which can improve the speed.
  * Documented: Extensive documentation is available in the comments of the
    source files.  This includes information about integration, optimisation
    for specific platforms, the library API, and detailed explanation of all
    the code.
  * Self-testing: Extensive self-tests are run every time the library is
    initialised.
  * Large: The code has been optimised for speed, which leads to the use of
    large tables.  No attempt has been made to minimise the code or data size.
 .
 This library has not yet been declared stable by its author, Niels Ferguson,
 yet it has not been changed in eight years.

Package: libtwofish0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Niels Ferguson's Twofish cryptographic library -- runtime package
 This package contains the runtime shared library of the Twofish
 cryptographic algorithm. This shared library might be called experimental,
 since the original author Niels Ferguson has cancelled maintenance, the source
 being in the public domain.
 .
 Runtime library. See also libtwofish-dev.
