=== debian/watch ===
#version=3
#
# The original source is now missing:
#    http://www.macfergus.com/niels/code/TwofishClib-v0.3.zip
